
<?php
include_once('def.php');
include 'session_read.php';
include('wrenchboard_class.php');
$wrenchboard = new wrenchboard_class();

$data = array(
    "member_id" => $member_id ,
    "sessionid" => $session_id ,
    "uid" => $uid,
    "intro" =>  "INTRO ".generateSample(10),
    "description" => "DESCRIPTion ".generateSample(30),
    'action'=>WRENCHBOARD_ACCOUNT_PAGEINTRO
);

$out = array();
$ret = $wrenchboard->wrenchboard_api($data,$out,'mypageintro');

function generateSample($how_lng){

    $strf1 = '';
    for($i=0; $i<$how_lng; $i++){
        $strf1 .= "rand ".rand($i*10,$i*100);
    }
    return $strf1;
}

/*
wrenchboard=> \d members_detail;
                                         Table "public.members_detail"
   Column    |            Type             | Collation | Nullable |                  Default
-------------+-----------------------------+-----------+----------+--------------------------------------------
 id          | integer                     |           | not null | nextval('members_detail_id_seq'::regclass)
 member_id   | integer                     |           |          |
 description | character varying(500)      |           |          |
 updated     | timestamp without time zone |           |          | now()
 uid         | uuid                        |           |          | uuid_generate_v4()
 intro       | character varying(120)      |           |          |
Indexes:
    "members_detail_id_key" UNIQUE CONSTRAINT, btree (id)
    "members_detail_member_id_key" UNIQUE CONSTRAINT, btree (member_id)
Foreign-key constraints:
    "members_detail_member_id_fkey" FOREIGN KEY (member_id) REFERENCES members(id)

*/